package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.QJ;
import com.sa.ibiz.demo.demo.service.dto.QJSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[QJ] 服务对象接口
 */
public interface QJService extends IService<QJ>{

	boolean update(QJ et);
		QJ get(QJ et);
	boolean checkKey(QJ et);
	boolean create(QJ et);
	boolean remove(QJ et);
	boolean getDraft(QJ et);
    List<QJ> listDefault(QJSearchFilter filter) ;
	Page<QJ> searchDefault(QJSearchFilter filter);
	/**	 实体[QJ] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }